<script setup lang="ts">
  import { getTranslatedProperty } from '@shopware-pwa/helpers-next';
  import { CustomerAddress } from '@shopware-pwa/types';

  defineProps<{
    address: CustomerAddress;
    showBorder?: boolean;
    updatingId?: string;
  }>();
</script>

<template>
  <div
    :class="{
      'border-border rounded-2 border p-5': showBorder,
      'opacity-20': updatingId,
    }"
  >
    <div class="flex items-start justify-between">
      <div class="">
        <p>
          {{ `${address.firstName} ${address.lastName}` }}
        </p>
        <p v-if="address.company">
          {{ address.company }}
        </p>
        <p>
          {{ address.street }}
        </p>
        <p>{{ `${address.zipcode} ${address.city}` }}</p>
        <p v-if="address.country">
          {{ getTranslatedProperty(address.country, 'name') }}
        </p>
      </div>

      <slot name="action" />
    </div>

    <slot />
  </div>
</template>
